Skip to content

GET /SnailTrailsArchive

GET
/SnailTrailsArchive

Find all instances of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
[
{
"status": "string",
"location": "string",
"locationData": {
},
"inService": false,
"inYard": false,
"deadhead": "string",
"id": "string",
"truckId": "string",
"ticketId": "string",
"companyId": "string",
"metrics": {
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
},
"createdAt": "string",
"updatedAt": "string"
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/count

GET
/SnailTrailsArchive/count

Count instances of the model matched by where from the data source.

Parameters

Query Parameters

where

Criteria to match model instances

Typestring

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/findOne

GET
/SnailTrailsArchive/findOne

Find first instance of the model matched by filter from the data source.

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring

Responses

Request was successful

application/json
JSON
{
"status": "string",
"location": "string",
"locationData": {
},
"inService": false,
"inYard": false,
"deadhead": "string",
"id": "string",
"truckId": "string",
"ticketId": "string",
"companyId": "string",
"metrics": {
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
},
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/{id}

GET
/SnailTrailsArchive/{id}

Find a model instance by {{id}} from the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Query Parameters

filter

Filter defining fields and include

Typestring

Responses

Request was successful

application/json
JSON
{
"status": "string",
"location": "string",
"locationData": {
},
"inService": false,
"inYard": false,
"deadhead": "string",
"id": "string",
"truckId": "string",
"ticketId": "string",
"companyId": "string",
"metrics": {
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
},
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/{id}/exists

GET
/SnailTrailsArchive/{id}/exists

Check whether a model instance exists in the data source.

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"exists": true
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/{id}/ticket

GET
/SnailTrailsArchive/{id}/ticket

Fetches belongsTo relation ticket.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"plantNumber": "string",
"schedulePlantNumber": "string",
"returnPlantNumber": "string",
"ticketNumber": "string",
"truckNumber": "string",
"previousTruckNumber": "string",
"ticketDate": "string",
"orderDate": "string",
"driverNumber": "string",
"driverName": "string",
"purchaseOrderNumber": "string",
"orderNumber": "string",
"timeDueOnJob": "string",
"taxCode": "string",
"minimumLoadChargeDescription": "string",
"minimumLoadChargeAmount": 0,
"onSiteSalesSubTotal": 0,
"onSiteSalesTaxTotal": 0,
"onSiteSalesTaxRate": 0,
"ticketSubTotal": 0,
"ticketTaxTotal": 0,
"ticketGrandTotal": 0,
"orderSumTotal": 0,
"previousOrderSumTotal": 0,
"timeTicketSent": "string",
"zone": "string",
"specialInstructions": "string",
"operatorMessage": "string",
"localTicketChange": true,
"lotBlockNumber": "string",
"printWeights": true,
"isMetric": true,
"loadsDelivered": "string",
"weightMasterName": "string",
"beginUnloadTime": "string",
"pocketNumber": "string",
"currency": "string",
"mapPage": "string",
"heatChargeDescription": "string",
"heatChargeAmount": 0,
"ticketMisc": "string",
"orderMisc": "string",
"salesTypeCode": "string",
"salesTypeShortDescription": "string",
"salesTypeDescription": "string",
"batchRecord": "string",
"truckLocation": "string",
"voided": false,
"voidedReason": "string",
"updatedBy": "api",
"printTimeZone": "string",
"authorityContractNumber": "string",
"scheduleStartTime": "string",
"id": "string",
"deviceId": "string",
"truckId": "string",
"companyId": "string",
"plantId": "string",
"schedulePlantId": "string",
"returnPlantId": "string",
"createdAt": "string",
"updatedAt": "string",
"customerId": "string",
"water": "string",
"delivery": "string",
"customer": "string",
"order": "string",
"mix": "string",
"onSite": "string",
"atPlant": "string",
"status": "string",
"products": [
{
"code": "string",
"description": "string",
"unit": "string",
"loadQuantity": 0,
"currency": "string",
"price": 0,
"extendedAmount": 0,
"orderedQuantity": 0,
"deliveredQuantity": 0,
"longDescription": "string",
"soldOnSite": false,
"taxable": true,
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"mixDesign": "string",
"batchResult": "string",
"batchResultAggr": "string",
"inspection": "string",
"metrics": "string",
"inTransit": "string",
"customFields": [
{
"name": "string",
"label": "string",
"value": "string",
"id": "string"
}
],
"orderId": "string",
"projectId": "string",
"truckMetrics": "string",
"employeeId": "string",
"route": "string",
"returnRoute": "string",
"files": [
{
"type": "string",
"signatureUrl": "string",
"signedTime": "string",
"signedBy": "string",
"signedCode": "string",
"id": "string"
}
],
"syncStatuses": [
{
"id": "string",
"lastStatus": "string",
"lastSyncError": "string",
"lastSyncAttemptDate": "string",
"lastSuccessfulSyncDate": "string"
}
]
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/{id}/truck

GET
/SnailTrailsArchive/{id}/truck

Fetches belongsTo relation truck.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"number": "string",
"description": "string",
"location": "string",
"locationData": {
},
"inService": false,
"inYard": false,
"deadhead": "string",
"endOfDay": false,
"lastAccess": "string",
"externalId": "string",
"id": "string",
"companyId": "string",
"divisionId": "string",
"createdAt": "string",
"updatedAt": "string",
"plantId": "string",
"currentPlantId": "string",
"metrics": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /SnailTrailsArchive/{id}/truckMetrics

GET
/SnailTrailsArchive/{id}/truckMetrics

Fetches hasOne relation truckMetrics.

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"course": 0,
"speed": 0,
"metricsDate": "string",
"id": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python